Dossiê
Cancelar Dossiê
Solicita cancelamento enquanto o trabalho ainda permite essa transição.
POST
/
dossies
/
{dossie_id}
/
cancel
Cancelar Dossiê
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "dossie",
"status": "queued",
"subject_type": "cpf",
"kind": "basic",
"current_attempt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"status": "queued",
"queued_at": "2023-11-07T05:31:56Z",
"billing": {
"id": "<string>",
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"artifacts": [
{
"id": "<string>",
"type": "dossie_pdf",
"media_type": "<string>",
"status": "available",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"available_until": "2023-11-07T05:31:56Z"
}
],
"stale": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"coverage": {},
"result": {
"report_schema": [
{}
],
"risk_classification": {
"matrix_id": "<string>",
"matrix_version": "<string>",
"status": "classified",
"level": "low",
"score": 50,
"matched_rules": [
{
"id": "<string>",
"score": 50,
"description": "<string>"
}
],
"missing_fields": [
"<string>"
]
}
},
"failure": {},
"poll_after_seconds": 123,
"mode": "standard",
"risk_classification": {
"matrix_id": "<string>",
"matrix_version": "<string>",
"status": "classified",
"level": "low",
"score": 50,
"matched_rules": [
{
"id": "<string>",
"score": 50,
"description": "<string>"
}
],
"missing_fields": [
"<string>"
]
}
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Cancelamento aceito
Available options:
dossie Available options:
queued, running, completed, needs_review, failed, cancelled null para provided_data sem documento.
Available options:
cpf, cnpj, null Available options:
basic, advanced Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
standard, modular, provided_data Resultado determinístico disponível após avaliar a matriz, também incluído no relatório e em result.risk_classification. Dados obrigatórios ausentes ou coleta parcial retornam insufficient_data, com score e level null.
Show child attributes
Show child attributes
⌘I
Cancelar Dossiê
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/dossies/{dossie_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "dossie",
"status": "queued",
"subject_type": "cpf",
"kind": "basic",
"current_attempt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"status": "queued",
"queued_at": "2023-11-07T05:31:56Z",
"billing": {
"id": "<string>",
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"artifacts": [
{
"id": "<string>",
"type": "dossie_pdf",
"media_type": "<string>",
"status": "available",
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"available_until": "2023-11-07T05:31:56Z"
}
],
"stale": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"coverage": {},
"result": {
"report_schema": [
{}
],
"risk_classification": {
"matrix_id": "<string>",
"matrix_version": "<string>",
"status": "classified",
"level": "low",
"score": 50,
"matched_rules": [
{
"id": "<string>",
"score": 50,
"description": "<string>"
}
],
"missing_fields": [
"<string>"
]
}
},
"failure": {},
"poll_after_seconds": 123,
"mode": "standard",
"risk_classification": {
"matrix_id": "<string>",
"matrix_version": "<string>",
"status": "classified",
"level": "low",
"score": 50,
"matched_rules": [
{
"id": "<string>",
"score": 50,
"description": "<string>"
}
],
"missing_fields": [
"<string>"
]
}
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}